Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159231 - another propagate traceback issue
Summary: another propagate traceback issue
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-31 19:04 UTC by Corey Marthaler
Modified: 2009-04-16 20:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-07 22:45:55 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-05-31 19:04:48 UTC
Description of problem:
I had a valid cluster up and running and then I deleted the config on one
machine, I then created a new config from scratch on that machine with a bunch
of BS node names and devices. On the MGMT tab I get the cman_tool error which I
would expect cuz the cluster is in a googfy state now, but when I went to
propagate this file I see a traceback:

Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 436, in propagate
    self.command_handler.propagateConfig(CLUSTER_CONF_PATH)
  File "/usr/share/system-config-cluster/CommandHandler.py", line 399, in
propagateConfig
    raise CommandError("FATAL",PROPAGATE_ERROR % (err))
TypeError: not enough arguments for format string

Granted a customer would never do this, but there still shouldn't be a case
which causes this behavior.

Version-Release number of selected component (if applicable):
-67.

How reproducible:
everytime.

Comment 1 Jim Parsons 2005-05-31 19:58:50 UTC
All fixed up in 0.9.70.....good test, btw. More like this one!

Comment 2 Corey Marthaler 2005-06-07 22:45:55 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.